# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ExecState Class Reference

Represents the current state of script execution. More...

`#include <interpreter.h>`

Collaboration diagram for KJS::ExecState:

[legend]
List of all members.

## Public Member Functions

Interpreter * | interpreter () const
Context | context () const
void | setException (const Value &e)
void | clearException ()
Value | exception () const
bool | hadException ()

## Static Public Member Functions

static void | requestTerminate ()

## Static Public Attributes

static bool(* | confirmTerminate )() = defaultConfirm

## Friends

class | InterpreterImp
class | FunctionImp
class | GlobalFuncImp
class | TryNode
class | VarDeclNode
class | FuncDeclNode

## Detailed Description

Represents the current state of script execution.

This object allows you obtain a handle the interpreter that is currently executing the script, and also the current execution state context.

Definition at line 439 of file interpreter.h.

## Member Function Documentation

Interpreter* KJS::ExecState::interpreter | ( |  | ) | const`[inline]`

Returns the interpreter associated with this execution state.

Returns:
  The interpreter executing the script

Definition at line 453 of file interpreter.h.

Context KJS::ExecState::context | ( |  | ) | const`[inline]`

Returns the execution context associated with this execution state.

Returns:
  The current execution state context

Definition at line 460 of file interpreter.h.

The documentation for this class was generated from the following files:

- interpreter.h
- interpreter.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003